# schema_salad.tests.test_codegen_errors

Tests of helpful error messages.

## Functions

`test_error_message1`(tmp_path) |
`test_error_message2`(tmp_path) |
`test_error_message4`(tmp_path) |
`test_error_message5`(tmp_path) |
`test_error_message6`(tmp_path) |
`test_error_message7`(tmp_path) |
`test_error_message8`(tmp_path) |
`test_error_message9`(tmp_path) |
`test_error_message10`(tmp_path) |
`test_error_message11`(tmp_path) |
`test_error_message15`(tmp_path) |
`load_document_by_uri`(tmp_path, path) |
`python_codegen`(file_uri, target[, parser_info, package]) |

## Module Contents

schema_salad.tests.test_codegen_errors.test_error_message1(tmp_path)
  Parameters:

    tmp_path (pathlib.Path)

  Return type:

    None

schema_salad.tests.test_codegen_errors.test_error_message2(tmp_path)
  Parameters:

    tmp_path (pathlib.Path)

  Return type:

    None

schema_salad.tests.test_codegen_errors.test_error_message4(tmp_path)
  Parameters:

    tmp_path (pathlib.Path)

  Return type:

    None

schema_salad.tests.test_codegen_errors.test_error_message5(tmp_path)
  Parameters:

    tmp_path (pathlib.Path)

  Return type:

    None

schema_salad.tests.test_codegen_errors.test_error_message6(tmp_path)
  Parameters:

    tmp_path (pathlib.Path)

  Return type:

    None

schema_salad.tests.test_codegen_errors.test_error_message7(tmp_path)
  Parameters:

    tmp_path (pathlib.Path)

  Return type:

    None

schema_salad.tests.test_codegen_errors.test_error_message8(tmp_path)
  Parameters:

    tmp_path (pathlib.Path)

  Return type:

    None

schema_salad.tests.test_codegen_errors.test_error_message9(tmp_path)
  Parameters:

    tmp_path (pathlib.Path)

  Return type:

    None

schema_salad.tests.test_codegen_errors.test_error_message10(tmp_path)
  Parameters:

    tmp_path (pathlib.Path)

  Return type:

    None

schema_salad.tests.test_codegen_errors.test_error_message11(tmp_path)
  Parameters:

    tmp_path (pathlib.Path)

  Return type:

    None

schema_salad.tests.test_codegen_errors.test_error_message15(tmp_path)
  Parameters:

    tmp_path (pathlib.Path)

  Return type:

    None

schema_salad.tests.test_codegen_errors.load_document_by_uri(tmp_path, path)
  Parameters:

    - tmp_path (pathlib.Path)

    - path (Union[str, pathlib.Path])

  Return type:

    Any

schema_salad.tests.test_codegen_errors.python_codegen(file_uri, target, parser_info=None, package=None)
  Parameters:

    - file_uri (str)

    - target (pathlib.Path)

    - parser_info (Optional[str])

    - package (Optional[str])

  Return type:

    None